Skip to main content
DELETE
/
ai-agents
/
agent-builder
/
knowledge-base
/
text
/
{uniqueId}
Delete Text Entry
curl --request DELETE \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId} \
  --header 'apikey: <api-key>'
{
  "success": true,
  "message": "Text detail and all associated data deleted successfully",
  "data": {
    "uniqueId": "<string>",
    "fileName": "<string>",
    "deletedFromAgents": true,
    "vectorsDeleted": true
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique text entry ID to delete

Response

Text entry deleted successfully

success
boolean
Example:

true

message
string
Example:

"Text detail and all associated data deleted successfully"

data
object